//
//  DetailViewController.m
//  TapticaDemoApp
//
//  Created by Nissim Pardo on 9/9/14.
//  Copyright (c) 2014 taptica. All rights reserved.
//

#import "DetailViewController.h"
#import <TapticaSDK/TapticaSDK.h>

@interface DetailViewController () <TAdViewDelegate>{
    TAdView *banner;
}

@end

@implementation DetailViewController

#pragma mark - Managing the detail item



- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // Checks  the type of the ad - Video ad or banner ad
    CGRect adFrame = _adType == 2 ? (CGRect){0, 400, 320, 50} : CGRectZero;
    
    // Init the ad
    banner = [[TAdView alloc] initWithFrame:adFrame
                               withDelegate:self];
    banner.useInternalBrowser = YES;
    banner.applicationId = _adID;
    banner.adType = _adType;
    [self.view addSubview:banner];
    
    [banner update];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


// Called when the ad is ready
- (void)didReceiveAd:(TAdView *)adView {
    
}

// Called if no ad is available, or any error
- (void)TAdView:(TAdView *)adView didFailToReceiveAdWithError:(NSError *)error {
    
}
@end
